any {base} | R Documentation

## Are Values True?

### Description

Given a set of logical vectors, are all or any of the values true?

### Usage

    any(..., na.rm = FALSE)

### Arguments

`...` | one or more logical vectors.
`na.rm` | logical. If true `NA` values are removed before the result is computed.

### Value

Given a sequence of logical arguments, a logical value indicating whether or not any of the elements of `x` are `TRUE`.

The value returned is `TRUE` if any the values in `x` are `TRUE`, and `FALSE` if all the values in `x` are `FALSE`.

If `x` consists of a mix of `FALSE` and `NA` values, the value is `NA`.

### Examples

    range(x <- sort(round(rnorm(10) - 1.2,1)))
    if(any(x < 0)) cat("x contains negative values\n")

[Package Contents]